Update Project
curl --request PUT \
--url https://api.us.vartiq.com/api/v1/projects/{projectId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.us.vartiq.com/api/v1/projects/{projectId}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.us.vartiq.com/api/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"company": "<string>",
"environment": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Projects
Update Project
PUT
/
api
/
v1
/
projects
/
{projectId}
Update Project
URL Parameters
string
required
The unique identifier of the project to update
Body Parameters
string
The new name for the project
string
The new description for the project
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
object
The updated project object
Show Properties
Show Properties
string
Unique identifier for the project
string
Updated name of the project
string
Updated description of the project (if provided)
string
Company ID associated with the project
string
Environment of the project (e.g., “development”)
string
Timestamp when the project was created
string
Timestamp when the project was last updated
Response Example
{
"success": true,
"message": "Project updated successfully",
"data": {
"id": "proj_01JWB8YZNBQDJA3VZ3F8Z9C5NX",
"name": "Updated project",
"company": "6836eb8d404feca42c262a86",
"environment": "development",
"createdAt": "2025-05-28T11:03:12.308Z",
"updatedAt": "2025-06-05T07:56:00.111Z"
}
}
⌘I